import { Request, Response } from 'express'

const testController = {
  get: (req: Request, res: Response): void => {
    console.log('GET request to the test endpoint')
    res.status(200).send('GET request to the test endpoint')
  },
  post: (req: Request, res: Response): void => {
    console.log('POST request to the test endpoint')
    res.status(201).send('POST request to the test endpoint')
  },
  put: (req: Request, res: Response): void => {
    console.log('PUT request to the test endpoint')
    res.status(200).send('PUT request to the test endpoint')
  },
  delete: (req: Request, res: Response): void => {
    console.log('DELETE request to the test endpoint')
    res.status(200).send('DELETE request to the test endpoint')
  }
}

export default testController
